<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas"%>
<%@ taglib prefix="sas-ui" uri="http://www.sas.com/taglib/sas-ui"%>
<%@ page import="com.sas.solutions.casemgmt.domain.Party"%>
<%@ page import="com.sas.solutions.casemgmt.cpb.web.form.EntityRelationshipForm"%>
<%@ page import="com.sas.solutions.casemgmt.web.html.ButtonBar" %>

<sas:InitializeComponents/>
<sas-cm:setBundle var="appResources" />

<script type="text/javascript">

var uiContextId = "${EntityRelationshipForm.uiContextId}";

</script>

<form name="RelationshipForm" method="post">
   <input type="hidden" name="command" value="ajaxUpdateTableView" />
   <div id="pageBodyContainer"><div id="pageBody">
      <fieldset>
      <legend><fmt:message bundle="${appResources}" key="section.party.details.header.txt"/></legend>
      <table class="tableData">
         <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_id.label.txt"/></td>
            <td>${partyToLink.id}</td>
         </tr>
         <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_full_nm.label.txt"/></td>
            <td>${partyToLink.fullName}</td>
         </tr>
            <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_type_cd.label.txt"/></td>
            <td>${partyType}</td>
         </tr>
            <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.category_cd.label.txt"/></td>
            <td>${partyCategory}</td>
         </tr>
         <tr>
            <td><fmt:message bundle="${appResources}" key="section.party.relationship.to.party.desc.header.txt"/>:</td>
            <td><input type="text" size="80" maxlength="100" id="descArea" name="descArea"/></td>
         </tr>
      </table>
      </fieldset>
   </div></div>
   
   <div id="popupButtonBarContainer"><div id="popupButtonBar">
      <% 
         ButtonBar buttonBar = (ButtonBar)request.getAttribute("buttonBar");
         buttonBar.write(out);
      %>
   </div></div>
</form>
