<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas"%>
<%@ taglib prefix="sas-ui" uri="http://www.sas.com/taglib/sas-ui"%>

<%@ page import="com.sas.solutions.casemgmt.cpb.web.EntityRelationshipBean"%>
<%@ page import="com.sas.solutions.casemgmt.cpb.web.form.EntityRelationshipForm"%>
<%@ page import="java.util.List"%>
<%@ page import="com.sas.servlet.tbeans.html.Button"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="com.sas.solutions.casemgmt.web.menu.MenuAction"%>
<%@ page import="com.sas.solutions.casemgmt.web.html.ButtonBar"%>

<sas:InitializeComponents />
<sas-cm:setBundle var="appResources" />

<html:form action="/LinkedPartySearch" method="post" onsubmit="return false">
<div id="pageBodyContainer">
<div id="pageBody">
   <%-- command to execute gets set in Search.js (different form action than default) --%>
   <input type="hidden" id="command" name="command" value="" />
   <html:hidden styleId="uiContextId" property="uiContextId" />
   <input type="hidden" id="fieldName" name="fieldName" value="${param.fieldName}" />
   <input type="hidden" id="partyKey" name="partyKey" value="${param.partyKey}" />
   <fieldset>
      <legend><fmt:message bundle="${appResources}" key="field.find.parties.label.txt" /></legend>
      <sas-cm:searchCriteria searchModel="${sessionScope.LinkedPartiesSearchForm.searchModel}" />
   </fieldset>
   <p></p>
   <fieldset>
      <legend><fmt:message bundle="${appResources}" key="field.available.parties.label.txt" /></legend>
      <sas-cm:searchFilters searchModel="${sessionScope.LinkedPartiesSearchForm.searchModel}" />
      <sas-cm:searchResults searchModel="${sessionScope.LinkedPartiesSearchForm.searchModel}" />
      <%
          ((ButtonBar) request.getAttribute("submitBar")).write(out);
      %>
   </fieldset>
   </div></div>
</html:form>

