

/*******************************************************************************
  LOAD REFERENCE TABLE VALUES (for all FINCEN forms)
*******************************************************************************/
 
proc sql;
   
    
   
PROC SQL;



      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_ID', 'VARCHAR', 'Institution EIN ', 9);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_NM', 'VARCHAR', 'Institution name', 35);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_ADDRESS_TXT', 'VARCHAR', 'institution address where activity occurred', 30);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_CITY_NM', 'VARCHAR', 'Institution city where activity occurred', 25);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_STATE_CD', 'VARCHAR', 'Institution state where activity occurred', 2);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_ZIP_CD', 'VARCHAR', 'Institution zip code where activity occurred', 5);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_ZIP4_CD', 'VARCHAR', 'Institution zip+4 code where activity occurred', 4);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_COUNTRY_CD', 'VARCHAR', 'Institution country code', 10);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_FED_REGULATOR_CD', 'VARCHAR', 'Primary federal regulator code', 1);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_OPEN_DT', 'DATE', 'Institution open date', null);
      insert into ecm_db.generic_data_udf_def values ('X_INSTITUTION', 'X_INSTITUTION_CLOSE_DT', 'DATE', 'Institution closed date', null);
      
   
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_UDF_PARENT_RK', 'BIGINT', 'Institution key', null);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_ID', 'VARCHAR', 'Branch code', 7);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_NM', 'VARCHAR', 'Branch name', 35);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_ADDRESS_TXT', 'VARCHAR', 'Branch address', 30);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_CITY_NM', 'VARCHAR', 'Branch city where activity occurred', 25);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_STATE_CD', 'VARCHAR', 'Branch state where activity occurred', 2);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_ZIP_CD', 'VARCHAR', 'Branch zip code where activity occurred', 5);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_ZIP4_CD', 'VARCHAR', 'Branch zip+4 code where activity occurred', 4);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_COUNTRY_CD', 'VARCHAR', 'Branch country code', 2);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_OPEN_DT', 'DATE', 'Branch open date', null);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_BRANCH_CLOSE_DT', 'DATE', 'Branch closed date', null);

      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_LAST_NM', 'VARCHAR', 'Contact last name', 35);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_FIRST_NM', 'VARCHAR', 'Contact first name', 35);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_MIDDLE_NM', 'VARCHAR', 'Contact middle name', 35);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_TITLE', 'VARCHAR', 'Contact title', 35);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_PHONE_AREA_CD', 'VARCHAR', 'Contact phone area code', 3);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_PHONE_NO', 'VARCHAR', 'Contact phone number', 7);
      insert into ecm_db.generic_data_udf_def values ('X_BRANCH', 'X_CONTACT_AGENCY', 'VARCHAR', 'Contact agency', 35);
           
quit;
